Update property
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/properties/{property_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"title_vesting": "<string>",
"co_owners": [
{
"name": "<string>",
"relationship": "<string>",
"ownership_share": 123
}
],
"estimated_value": 123,
"outstanding_mortgage": 123,
"mortgage_holder": "<string>",
"annual_property_tax": 123,
"parcel_number": "<string>",
"rental_income": 123,
"is_homestead": true,
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/properties/{property_id}"
payload = {
"address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"title_vesting": "<string>",
"co_owners": [
{
"name": "<string>",
"relationship": "<string>",
"ownership_share": 123
}
],
"estimated_value": 123,
"outstanding_mortgage": 123,
"mortgage_holder": "<string>",
"annual_property_tax": 123,
"parcel_number": "<string>",
"rental_income": 123,
"is_homestead": True,
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
},
title_vesting: '<string>',
co_owners: [{name: '<string>', relationship: '<string>', ownership_share: 123}],
estimated_value: 123,
outstanding_mortgage: 123,
mortgage_holder: '<string>',
annual_property_tax: 123,
parcel_number: '<string>',
rental_income: 123,
is_homestead: true,
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/properties/{property_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9RP01AJ0T55HRYE78AN7PPP",
"case_id": "<string>",
"property_type": "primary_residence",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"ownership_type": "sole_ownership",
"title_vesting": "John J. Johnson, a single man",
"co_owners": [
{
"name": "<string>",
"relationship": "<string>",
"ownership_share": 123
}
],
"estimated_value": 385000,
"assessed_value": 123,
"outstanding_mortgage": 123,
"mortgage_holder": "<string>",
"equity_estimate": 123,
"liens": [
{
"holder": "<string>",
"amount": 123,
"recorded_date": "2023-12-25"
}
],
"annual_property_tax": 123,
"parcel_number": "<string>",
"rental_income": 123,
"is_homestead": true,
"requires_probate": true,
"status": "owned",
"valuation_id": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Real Estate Properties
Update property
PATCH
/
cases
/
{case_id}
/
properties
/
{property_id}
Update property
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
primary_residence, vacation_home, investment_property, rental_property, vacant_land, commercial, farm_ranch, mixed_use, other Show child attributes
Show child attributes
Available options:
sole_ownership, joint_tenancy, tenants_in_common, community_property, transfer_on_death_deed, lady_bird_deed, trust, life_estate, other Show child attributes
Show child attributes
Available options:
warranty, quitclaim, grant, special_warranty, transfer_on_death, lady_bird Response
Property updated.
Show child attributes
Show child attributes
⌘I

